Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.xml.gui
Class ImportDamlPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.opencyc.xml.gui.ImportDamlPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ImportDamlPanel
extends javax.swing.JPanel

Permits user to specify the URL for DAML import.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected java.awt.BorderLayout` | `borderLayout1`
`protected javax.swing.Box` | `boxButtons`
`protected javax.swing.JButton` | `btnExit`
`protected javax.swing.JButton` | `btnImport`
`protected java.awt.Container` | `container`
`protected CycAccess` | `cycAccess` CycAccess object to manage api connection the the Cyc server
`protected java.lang.String` | `damlPath` The path (URL) to the DAML XML content
`protected javax.swing.JFileChooser` | `fileChooser`
`protected javax.swing.JFrame` | `frame`
`protected java.awt.Component` | `glueButtons`
`protected ImportDamlApp` | `importDamlApp` reference to the parent object
`protected java.lang.String` | `importMt` The import microtheory
`protected java.lang.String[]` | `importMtHistory` Array of import microtheory history items for the URL input combo box
`protected javax.swing.JLabel` | `jLabel1`
`protected static int` | `NBR_OF_HISTORY_ITEMS`
`protected java.lang.String` | `ontologyNickname` The ontology nickname used as a namespace prefix for imported terms
`protected java.lang.String[]` | `ontologyNicknameHistory` Array of ontology nickname history items for the URL input combo box
`protected javax.swing.JPanel` | `panel`
`protected java.util.Properties` | `properties` input history properties
`java.lang.String` | `propertiesFilename` input history properties file name
`protected java.lang.String` | `storageLocation`
`protected java.lang.String[]` | `urlHistory` Array of URL history items for the URL input combo box

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImportDamlPanel(ImportDamlApp importDamlApp)`

Method Summary
`protected static void` | `arrangeHistoryItems(java.lang.String selectedItem, java.lang.String[] historyItems)`
`protected void` | `importDamlIntoCyc()` Imports the selected DAML ontology into Cyc
`protected void` | `initializeComboBoxes()` Initializes the ComboBox controls for this panel.
`protected java.lang.String` | `obtainDamlPath()` Obtains the specified DAML path.
`protected java.lang.Object` | `obtainImportMt()` Obtains the specified import microtheory.
`protected java.lang.Object` | `obtainOntologyNickname()` Obtains the specified ontology nickname.
`protected void` | `saveProperties()` Saves input combo box history items in a properties file.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### panel

    protected javax.swing.JPanel panel

### container

    protected java.awt.Container container

### frame

    protected javax.swing.JFrame frame

### storageLocation

    protected java.lang.String storageLocation

### fileChooser

    protected javax.swing.JFileChooser fileChooser

### borderLayout1

    protected java.awt.BorderLayout borderLayout1

### boxButtons

    protected javax.swing.Box boxButtons

### btnExit

    protected javax.swing.JButton btnExit

### btnImport

    protected javax.swing.JButton btnImport

### glueButtons

    protected java.awt.Component glueButtons

### jLabel1

    protected javax.swing.JLabel jLabel1

### NBR_OF_HISTORY_ITEMS

    protected static final int NBR_OF_HISTORY_ITEMS

### urlHistory

    protected java.lang.String[] urlHistory

  Array of URL history items for the URL input combo box

### ontologyNicknameHistory

    protected java.lang.String[] ontologyNicknameHistory

  Array of ontology nickname history items for the URL input combo box

### importMtHistory

    protected java.lang.String[] importMtHistory

  Array of import microtheory history items for the URL input combo box

### properties

    protected java.util.Properties properties

  input history properties

### propertiesFilename

    public java.lang.String propertiesFilename

  input history properties file name

### damlPath

    protected java.lang.String damlPath

  The path (URL) to the DAML XML content

### ontologyNickname

    protected java.lang.String ontologyNickname

  The ontology nickname used as a namespace prefix for imported terms

### importMt

    protected java.lang.String importMt

  The import microtheory

### cycAccess

    protected CycAccess cycAccess

  CycAccess object to manage api connection the the Cyc server

### importDamlApp

    protected ImportDamlApp importDamlApp

  reference to the parent object

Constructor Detail

### ImportDamlPanel

    public ImportDamlPanel(ImportDamlApp importDamlApp)

Method Detail

### importDamlIntoCyc

    protected void importDamlIntoCyc()

  Imports the selected DAML ontology into Cyc

### initializeComboBoxes

    protected void initializeComboBoxes()

  Initializes the ComboBox controls for this panel.

### saveProperties

    protected void saveProperties()

  Saves input combo box history items in a properties file.

### obtainDamlPath

    protected java.lang.String obtainDamlPath()

  Obtains the specified DAML path.
  Returns:
    the specified DAML path

### obtainOntologyNickname

    protected java.lang.Object obtainOntologyNickname()

  Obtains the specified ontology nickname.
  Returns:
    the specified ontology nickname

### obtainImportMt

    protected java.lang.Object obtainImportMt()

  Obtains the specified import microtheory.
  Returns:
    the specified import microtheory

### arrangeHistoryItems

    protected static void arrangeHistoryItems(java.lang.String selectedItem,
                                              java.lang.String[] historyItems)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD